petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLINESEARCHL2

Secant search in the L2 norm of the function or the objective function if it is provided with SNESSetObjective(). The function norm is evaluated at points in [0, damping] to construct Many bra polynomial fitting. This fitting is used to construct a new lambda Many brbased upon secant descent. The process is repeated on the new Many brinterval, [lambda, lambda_old], max_it - 1 times. Many br

### Options Database Keys

| -snes_linesearch_max_it <maxit> | - maximum number of iterations, default is 1 Many br
| -snes_linesearch_maxstep <length> | - the algorithm insures that a step length is never longer than this value Many br
| -snes_linesearch_damping <damping> | - initial step is scaled back by this factor, default is 1.0 Many br
| -snes_linesearch_minlambda <minlambda> | - minimum allowable lambda Many br

Many br

### Keywords

SNES, nonlinear, line search, norm, secant

### See Also

SNESLineSearchBT, SNESLineSearchCP, SNESLineSearch

Level:advanced
Location:src/snes/linesearch/impls/l2/linesearchl2.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages